Cells


GET /{o}/{p}/cells

List cells

List placement cells defined in this project.

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring

Responses

StatusDescriptionSchema
200CellsCellList

POST /{o}/{p}/cells

Create a cell

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring

Request body (application/json)

FieldTypeDescription
kindCell(required)
namestring(required)
displayNamestring
entityTypestring(required)
placementPolicyleast-loaded | round-robin | random
constraintsobject[]
parentCellsstring[]
membershipobject

Responses

StatusDescriptionSchema
201Created cellCell
400Invalid derived-membership or parent-cell referenceError
404Parent cell not foundError
409Cell already existsError

GET /{o}/{p}/cells/{name}

Get a cell by name

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200The cellCell
404Cell not foundError

PUT /{o}/{p}/cells/{name}

Update a cell

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring

Request body (application/json)

FieldTypeDescription
kindCell(required)
namestring(required)
displayNamestring
entityTypestring(required)
placementPolicyleast-loaded | round-robin | random
constraintsobject[]
parentCellsstring[]
membershipobject

Responses

StatusDescriptionSchema
200Updated cellCell
404Cell not foundError

DELETE /{o}/{p}/cells/{name}

Delete a cell

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200Deletion resultDeleted
404Cell not foundError

GET /{o}/{p}/cells/{name}/members

List effective cell members

List the entities that are members of this cell in the given environment (explicit or derived).

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200Member entitiesEntityList
400Environment not foundError

POST /{o}/{p}/cells/{name}/members

Add an explicit cell member

Add an entity to an explicit-membership cell. Derived cells reject direct writes (409).

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring

Request body (application/json)

FieldTypeDescription
entityNamestring(required)
entityTypeNamestring(required)
envIdstring(uuid)
envNamestring

Responses

StatusDescriptionSchema
201Member added
400Environment not foundError
404Entity not foundError
409Cell membership is derivedError

DELETE /{o}/{p}/cells/{name}/members/{entityName}

Remove an explicit cell member

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring
entityNamestring

Responses

StatusDescriptionSchema
200Member removed
400Environment not foundError
409Cell membership is derivedError

GET /{o}/{p}/cells/{name}/recommendations

Get placement recommendations for a cell

Rank the cell members by the cell placement policy to recommend a placement target.

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200Ranked placement recommendations
404Cell not foundError

Schemas

Cell

FieldTypeDescription
namestring(required)
displayNamestring
placementPolicyleast-loaded | round-robin | random(required)
constraintsobject[](required)
parentCellsstring[](required)
entityTypeNamestring(required)
membershipModeexplicit | derived(required)
membershipDerivedFromobject,null(required)
orgIdstring(required)
projectIdstring(required)
createdAtstring | string(required)
updatedAtstring | string(required)

CellList

Type: Cell[]

Deleted

FieldTypeDescription
deletedtrue(required)
namestring(required)

Entity

FieldTypeDescription
idstring(uuid)(required)
entityTypeNamestring(required)
namestring(required)
statestring(required)
propertiesobject(required)
labelsobject(required)
lastSyncedAtstring | string | null(required)
syncSourcestring,null(required)
createdAtstring | string(required)
updatedAtstring | string(required)
orgIdstring(required)
projectIdstring(required)
envIdstring(uuid)(required)

EntityList

Type: Entity[]

Error

FieldTypeDescription
errorstring(required)
codestring